# Timer_Heap.h File Reference

`#include "ace/Timer_Heap_T.h"`

Include dependency graph for Timer_Heap.h:

This graph shows which files directly or indirectly include this file:

## Typedefs

typedef ACE_Timer_Heap_Iterator_T< ACE_Event_Handler *, ACE_Event_Handler_Handle_Timeout_Upcall< ACE_SYNCH_RECURSIVE_MUTEX >, ACE_SYNCH_RECURSIVE_MUTEX > | ACE_Timer_Heap_Iterator

## Variables

ACE_BEGIN_VERSIONED_NAMESPACE_DECL typedef ACE_Timer_Heap_T< ACE_Event_Handler *, ACE_Event_Handler_Handle_Timeout_Upcall< ACE_SYNCH_RECURSIVE_MUTEX >, ACE_SYNCH_RECURSIVE_MUTEX > | ACE_Timer_Heap

## Detailed Description

Id
  Timer_Heap.h,v 4.27 2005/10/28 23:55:10 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

## Typedef Documentation

typedef ACE_Timer_Heap_Iterator_T<ACE_Event_Handler *, ACE_Event_Handler_Handle_Timeout_Upcall<ACE_SYNCH_RECURSIVE_MUTEX>, ACE_SYNCH_RECURSIVE_MUTEX> ACE_Timer_Heap_Iterator

## Variable Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL typedef ACE_Timer_Heap_T<ACE_Event_Handler *, ACE_Event_Handler_Handle_Timeout_Upcall<ACE_SYNCH_RECURSIVE_MUTEX>, ACE_SYNCH_RECURSIVE_MUTEX> ACE_Timer_Heap